import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/base/roles',
    component: AppLayout,
    children: [
      { path: '', component: () => import('./views/Index.vue') },
      { path: 'detail/:id', component: () => import('./views/Details.vue') }
    ]
  }
]
