export interface BasicInfoParams {
  title: string
  service_phone?: string
  channel_owner_user_id: string
  channel_status: string
  tags?: string
  summary?: string
  comment?: string
}

export interface ChannelListSearch {
  channel_id?: string
  title?: string
  company_short_name?: string
  tags?: string
  service_dialog_status?: string
  case_withdraw_status?: string
  distribution_status?: string
  channel_quality?: string
  ['per-page']?: string
  page?: string
}

export interface ProjectParams {
  project_id_name?: string
  conversion_type: string
  type: string
  location_limit?: string
  unpaid_list_limit?: string
  expire_month?: number,
  follower_user_id: string
  division_rule: string
  division_proportion: string
  expire_range_month_start?: string
  expire_range_month_end?: string
  upload?: string
  secondary_channel_id?: string
  secondary_division_type?: string
  secondary_division_rule?: string
  secondary_division_proportion?: string
}

export interface CreateChannelParams extends BasicInfoParams {
  leaders_id: string
  members: string
}