export interface UserItem {
  email: string
  mobile: string
  roles_count: number
  user_id: string
  user_name: string
}

export interface UserProject {
  project_id: string
  title: string
  channels: UserChannel[]
  roles: string[]
}

export interface UserChannel {
  channel_id: string
  title: string
  projects: string[]
  roles: string[]
}

export type UserInfo = UserItem & { projects: UserProject[] }
